Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Locate_Request_Header Class Reference

Location service support. More...

`#include <GIOP_Message_Locate_Header.h>`

Collaboration diagram for TAO_GIOP_Locate_Request_Header:

[legend]
List of all members.

## Public Methods
| TAO_GIOP_Locate_Request_Header (TAO_InputCDR &msg, TAO_ORB_Core *core)
| Constructor.
void | request_id (CORBA::ULong id)
| Set the id.
CORBA::ULong | request_id (void)
| Get the request id.
const TAO::ObjectKey & | object_key (void) const
| Get the object_key in read mode..
TAO::ObjectKey & | object_key (void)
| Get the object_key in read/write mode..
TAO_Tagged_Profile & | profile (void)
| Get the reference to the underlying profile.
TAO_InputCDR & | incoming_stream (void)
| Get the CDR stream for read/write.
## Private Attributes
CORBA::ULong | request_id_
| Request id.
TAO_Tagged_Profile | profile_
| Profile info.
TAO::ObjectKey | object_key_
| Object Key.
TAO_InputCDR * | incoming_
| Incoming CDR stream.

## Detailed Description

Location service support.

## Constructor & Destructor Documentation

ACE_INLINE TAO_GIOP_Locate_Request_Header::TAO_GIOP_Locate_Request_Header | ( | TAO_InputCDR & | msg,
|  | TAO_ORB_Core * | core
| ) |

| Constructor.

## Member Function Documentation

ACE_INLINE TAO_InputCDR & TAO_GIOP_Locate_Request_Header::incoming_stream | ( | void |  | ) |

| Get the CDR stream for read/write.

ACE_INLINE TAO::ObjectKey & TAO_GIOP_Locate_Request_Header::object_key | ( | void |  | ) |

| Get the object_key in read/write mode..

ACE_INLINE const TAO::ObjectKey & TAO_GIOP_Locate_Request_Header::object_key | ( | void |  | ) | const

| Get the object_key in read mode..

ACE_INLINE TAO_Tagged_Profile & TAO_GIOP_Locate_Request_Header::profile | ( | void |  | ) |

| Get the reference to the underlying profile.

ACE_INLINE CORBA::ULong TAO_GIOP_Locate_Request_Header::request_id | ( | void |  | ) |

| Get the request id.

ACE_INLINE void TAO_GIOP_Locate_Request_Header::request_id | ( | CORBA::ULong | id | ) |

| Set the id.

## Member Data Documentation

TAO_InputCDR* TAO_GIOP_Locate_Request_Header::incoming_`[private]`

| Incoming CDR stream.

TAO::ObjectKey TAO_GIOP_Locate_Request_Header::object_key_`[private]`

| Object Key.

TAO_Tagged_Profile TAO_GIOP_Locate_Request_Header::profile_`[private]`

| Profile info.

CORBA::ULong TAO_GIOP_Locate_Request_Header::request_id_`[private]`

| Request id.

The documentation for this class was generated from the following files:

- GIOP_Message_Locate_Header.h
- GIOP_Message_Locate_Header.i